Bug 832647 - [abrt] simple-scan-3.4.1-1.fc17: Process /usr/bin/simple-scan was killed by signal 11 (SIGSEGV)
[abrt] simple-scan-3.4.1-1.fc17: Process /usr/bin/simple-scan was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: simple-scan (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:4253a35437e79d3ef59ca14c471...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 05:27 EDT by Michal Nowak
Modified: 2013-08-01 00:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:48:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (75.93 KB, text/plain)
2012-06-16 05:27 EDT, Michal Nowak
no flags Details
File: dso_list (18.64 KB, text/plain)
2012-06-16 05:27 EDT, Michal Nowak
no flags Details
File: backtrace (40.76 KB, text/plain)
2012-06-16 05:27 EDT, Michal Nowak
no flags Details

  None (edit)
Description Michal Nowak 2012-06-16 05:27:44 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        simple-scan
crash_function: page_view_page_size_changed_cb
environ:        
executable:     /usr/bin/simple-scan
kernel:         3.4.0-1.fc17.x86_64
pid:            20558
pwd:            /home/newman
time:           Sat 16 Jun 2012 11:17:24 AM CEST
uid:            1000
username:       newman

backtrace:      Text file, 41738 bytes
dso_list:       Text file, 19084 bytes
maps:           Text file, 77754 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/newman/1

core_backtrace:
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x1579a - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x12c48 page_set_page_info [exe] -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x19237 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x208b1 - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x1b415 application_main [exe] -

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29862                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29862                29862                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/newman/.xsession-errors
:2:/home/newman/.xsession-errors
:3:socket:[133002]
:4:anon_inode:[eventfd]
:5:socket:[133007]
:6:/home/newman/.cache/simple-scan/simple-scan.log
:7:anon_inode:[eventfd]
:8:socket:[131652]
:9:anon_inode:[eventfd]
:10:anon_inode:[eventfd]
:11:socket:[133581]
:12:pipe:[134153]
:13:pipe:[134153]
:14:anon_inode:[timerfd]
:15:socket:[131729]
:16:/dev/urandom
:17:anon_inode:inotify
:18:socket:[131730]
:19:socket:[131731]
:20:/dev/bus/usb/001/007
:21:socket:[134213]
:22:anon_inode:[eventfd]
:23:socket:[135343]

var_log_messages:
:Jun 16 10:36:38 assam kernel: [ 2404.242903] usb 1-1.5.5: usbfs: interface 1 claimed by usblp while 'simple-scan' sets config #1
:Jun 16 10:39:21 assam kernel: [ 2566.417927] usb 1-1.5.5: usbfs: interface 1 claimed by usblp while 'simple-scan' sets config #1
:Jun 16 11:08:46 assam kernel: [ 4327.193272] simple-scan[20078]: segfault at 8 ip 0000003e4ca4a45e sp 00007f05b50e0320 error 4 in libpixman-1.so.0.24.4[3e4ca00000+80000]
:Jun 16 11:09:03 assam abrt[20443]: Saved core dump of pid 20074 (/usr/bin/simple-scan) to /var/spool/abrt/ccpp-2012-06-16-11:08:47-20074 (1172197376 bytes)
:Jun 16 11:10:40 assam kernel: [ 4440.849599] usb 1-1.5.5: usbfs: interface 1 claimed by usblp while 'simple-scan' sets config #1
:Jun 16 11:11:05 assam kernel: [ 4465.901952] usb 1-1.5.5: usbfs: interface 1 claimed by usblp while 'simple-scan' sets config #1
:Jun 16 11:11:39 assam kernel: [ 4499.870109] usb 1-1.5.5: usbfs: interface 1 claimed by usblp while 'simple-scan' sets config #1
:Jun 16 11:11:47 assam kernel: [ 4507.365897] usb 1-1.5.5: usbfs: interface 1 claimed by usblp while 'simple-scan' sets config #1
:Jun 16 11:17:24 assam kernel: [ 4843.408407] simple-scan[20558] general protection ip:41579a sp:7fffe9613fb0 error:0 in simple-scan[400000+3d000]
:Jun 16 11:17:25 assam abrt[20745]: Saved core dump of pid 20558 (/usr/bin/simple-scan) to /var/spool/abrt/ccpp-2012-06-16-11:17:24-20558 (124403712 bytes)
Comment 1 Michal Nowak 2012-06-16 05:27:48 EDT
Created attachment 592295 [details]
File: maps
Comment 2 Michal Nowak 2012-06-16 05:27:50 EDT
Created attachment 592296 [details]
File: dso_list
Comment 3 Michal Nowak 2012-06-16 05:27:53 EDT
Created attachment 592297 [details]
File: backtrace
Comment 4 Dario Castellarin 2012-06-27 07:12:12 EDT
Just scanning from a network Hp scanner

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Lecroq 2012-07-15 07:31:04 EDT
I was scanning some notes from a friend. When finished one bundle, I saved it as a multipage PDF. Then I started a new file to scan the next bundle. The first page scans without any problems, but after initiating the second page, Simple-Scan quits and the scanner stopped scanning without returning the scanbar to its initial position.

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Rusty 2012-07-30 17:04:44 EDT
Multiple page scan, started sencond page, and exited.

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 John William 2012-08-01 16:48:45 EDT
Scanning multiple documents. Had just saved and then New. Started scanning and simple-scan window just disappeared about 10% into the scan.

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Aleksander Morgado 2012-08-03 07:51:48 EDT
Just crashed when trying to scan a second document.

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Theophanis Kontogiannis 2012-08-07 09:10:21 EDT
Scaning all pages from feeder, text, custom page crop.

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Theophanis Kontogiannis 2012-08-11 10:42:48 EDT
Scaned one more package after the previous.

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Christian Hagen 2012-09-07 08:48:16 EDT
Upped the text resolution of text to 300dpi, scanned 6 pages, divided among 4 documents, of which two were single-page, and one was a three-page document, and saved to disc. As I was scanning the second page of a three-page document (the 7th page scanned), Simple Scan crashed.

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Dario Castellarin 2012-09-22 06:11:16 EDT
It crashes every time between the end of a job and the beginning of the next

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 bugzilla-redhat 2012-11-13 06:50:11 EST
While scanning a page simple-scan crashed.

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 D. Hugh Redelmeier 2013-01-11 10:25:09 EST
I got this one too.  I had finished a scan, saved the document, and started another.  It crashed with the double-free after starting (and perhaps finishing) scanning the first page.

A couple of minutes ago I experienced
https://bugzilla.redhat.com/show_bug.cgi?id=831481
I presume this is the same bug (also a double-free).

Interestingly, Automatic Bug Reporting Tool took me to these two different bz entries for two different crashes, even though they look the same to me.
Comment 16 Fedora End Of Life 2013-07-03 20:46:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-08-01 00:48:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.